---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libgc.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x504D0, symBinAddr: 0xC300, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52410, symBinAddr: 0xE240, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52800, symBinAddr: 0xE630, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x537A0, symBinAddr: 0xF5D0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x537B0, symBinAddr: 0xF5E0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: _access_lock, symObjAddr: 0x6AEB0, symBinAddr: 0x26CE0, symSize: 0x0 }
  - { offsetInCU: 0x7E9, offset: 0x7E9, size: 0x8, addend: 0x0, symName: _jvmti, symObjAddr: 0x6AEB8, symBinAddr: 0x26CE8, symSize: 0x0 }
  - { offsetInCU: 0x8DBE, offset: 0x8DBE, size: 0x8, addend: 0x0, symName: _iGlobalStatus, symObjAddr: 0x6AEC0, symBinAddr: 0x26CF0, symSize: 0x0 }
  - { offsetInCU: 0x8DD3, offset: 0x8DD3, size: 0x8, addend: 0x0, symName: _printdump, symObjAddr: 0x6AF10, symBinAddr: 0x26D00, symSize: 0x0 }
  - { offsetInCU: 0x8DE8, offset: 0x8DE8, size: 0x8, addend: 0x0, symName: _gc_start_count, symObjAddr: 0x6AF14, symBinAddr: 0x26D04, symSize: 0x0 }
  - { offsetInCU: 0x8DFD, offset: 0x8DFD, size: 0x8, addend: 0x0, symName: _gc_finish_count, symObjAddr: 0x6AF18, symBinAddr: 0x26D08, symSize: 0x0 }
  - { offsetInCU: 0x8E12, offset: 0x8E12, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50010, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x8E1D, offset: 0x8E1D, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50014, symBinAddr: 0xC094, symSize: 0x0 }
  - { offsetInCU: 0x8E28, offset: 0x8E28, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50018, symBinAddr: 0xC098, symSize: 0x0 }
  - { offsetInCU: 0x8E6D, offset: 0x8E6D, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50170, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0x8EE6, offset: 0x8EE6, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50228, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8F04, offset: 0x8F04, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5022C, symBinAddr: 0xC15C, symSize: 0x0 }
  - { offsetInCU: 0x8F1D, offset: 0x8F1D, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50230, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8F36, offset: 0x8F36, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50234, symBinAddr: 0xC164, symSize: 0x0 }
  - { offsetInCU: 0x8F4F, offset: 0x8F4F, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50238, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0x8F68, offset: 0x8F68, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50240, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x8FF1, offset: 0x8FF1, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50258, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x900A, offset: 0x900A, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50260, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9023, offset: 0x9023, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50268, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x903C, offset: 0x903C, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50270, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x9056, offset: 0x9056, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50278, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x913C, offset: 0x913C, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x502C0, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x9155, offset: 0x9155, size: 0x8, addend: 0x0, symName: __ZL10jvmti_caps, symObjAddr: 0x503F8, symBinAddr: 0xC2E8, symSize: 0x0 }
  - { offsetInCU: 0x91A7, offset: 0x91A7, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x4610, symSize: 0x80 }
  - { offsetInCU: 0x923C, offset: 0x923C, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x4560, symSize: 0xB0 }
  - { offsetInCU: 0x9297, offset: 0x9297, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x4460, symSize: 0x100 }
  - { offsetInCU: 0x952A, offset: 0x952A, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x4690, symSize: 0x220 }
  - { offsetInCU: 0x970F, offset: 0x970F, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x48B0, symSize: 0xA0 }
  - { offsetInCU: 0x97C2, offset: 0x97C2, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x4950, symSize: 0x110 }
  - { offsetInCU: 0x98B8, offset: 0x98B8, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x4A60, symSize: 0x150 }
  - { offsetInCU: 0x9A15, offset: 0x9A15, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x4BB0, symSize: 0x30 }
  - { offsetInCU: 0x9AD6, offset: 0x9AD6, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x4BE0, symSize: 0x150 }
  - { offsetInCU: 0x9CCE, offset: 0x9CCE, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x4D30, symSize: 0x160 }
  - { offsetInCU: 0x9E5A, offset: 0x9E5A, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x4E90, symSize: 0x1B0 }
  - { offsetInCU: 0xA075, offset: 0xA075, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x5040, symSize: 0xA0 }
  - { offsetInCU: 0xA144, offset: 0xA144, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x50E0, symSize: 0x20 }
  - { offsetInCU: 0xA17B, offset: 0xA17B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x5100, symSize: 0x20 }
  - { offsetInCU: 0xA1B2, offset: 0xA1B2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x5120, symSize: 0x20 }
  - { offsetInCU: 0xA321, offset: 0xA321, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x5140, symSize: 0x1A0 }
  - { offsetInCU: 0xA647, offset: 0xA647, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x52E0, symSize: 0x80 }
  - { offsetInCU: 0xA710, offset: 0xA710, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x5360, symSize: 0x6A0 }
  - { offsetInCU: 0xB2A5, offset: 0xB2A5, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA0D0, symBinAddr: 0x6570, symSize: 0xB0 }
  - { offsetInCU: 0xB31C, offset: 0xB31C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x5A00, symSize: 0x70 }
  - { offsetInCU: 0xB3D8, offset: 0xB3D8, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x5A70, symSize: 0xA0 }
  - { offsetInCU: 0xB4E3, offset: 0xB4E3, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5B10, symSize: 0x40 }
  - { offsetInCU: 0xB5D9, offset: 0xB5D9, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x5B50, symSize: 0x2B0 }
  - { offsetInCU: 0xB97F, offset: 0xB97F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5E00, symSize: 0xC0 }
  - { offsetInCU: 0xBAC5, offset: 0xBAC5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5EC0, symSize: 0x10 }
  - { offsetInCU: 0xBB87, offset: 0xBB87, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5ED0, symSize: 0x220 }
  - { offsetInCU: 0xBE84, offset: 0xBE84, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x60F0, symSize: 0x10 }
  - { offsetInCU: 0xBEE1, offset: 0xBEE1, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x6100, symSize: 0x240 }
  - { offsetInCU: 0xC213, offset: 0xC213, size: 0x8, addend: 0x0, symName: _debug_printf, symObjAddr: 0x9E60, symBinAddr: 0x6350, symSize: 0xC0 }
  - { offsetInCU: 0xC247, offset: 0xC247, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E50, symBinAddr: 0x6340, symSize: 0x10 }
  - { offsetInCU: 0xC2A4, offset: 0xC2A4, size: 0x8, addend: 0x0, symName: _vmInit, symObjAddr: 0x9F20, symBinAddr: 0x6410, symSize: 0x20 }
  - { offsetInCU: 0xC2E8, offset: 0xC2E8, size: 0x8, addend: 0x0, symName: _vmExit, symObjAddr: 0x9F40, symBinAddr: 0x6430, symSize: 0x40 }
  - { offsetInCU: 0xC33B, offset: 0xC33B, size: 0x8, addend: 0x0, symName: _gc_start, symObjAddr: 0x9F80, symBinAddr: 0x6470, symSize: 0x20 }
  - { offsetInCU: 0xC369, offset: 0xC369, size: 0x8, addend: 0x0, symName: _gc_finish, symObjAddr: 0x9FA0, symBinAddr: 0x6490, symSize: 0x20 }
  - { offsetInCU: 0xC397, offset: 0xC397, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_functions_ForceGarbageCollection_gc_checkGCStart, symObjAddr: 0xA010, symBinAddr: 0x64B0, symSize: 0x30 }
  - { offsetInCU: 0xC3CB, offset: 0xC3CB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_functions_ForceGarbageCollection_gc_checkGCFinish, symObjAddr: 0xA040, symBinAddr: 0x64E0, symSize: 0x30 }
  - { offsetInCU: 0xC3FF, offset: 0xC3FF, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_functions_ForceGarbageCollection_gc_GetResult, symObjAddr: 0xA070, symBinAddr: 0x6510, symSize: 0x10 }
  - { offsetInCU: 0xC447, offset: 0xC447, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_functions_ForceGarbageCollection_gc_jvmtiForceGC, symObjAddr: 0xA080, symBinAddr: 0x6520, symSize: 0x50 }
  - { offsetInCU: 0xC4BF, offset: 0xC4BF, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA180, symBinAddr: 0x6620, symSize: 0x36A }
...
